#ifndef WINDOW_H
#define WINDOW_H

#include <QWindow>
#include <QDebug>
#include <QKeyEvent>
#include <QtStudio3D/Q3DSPresentation>
#include <QTimer>
class Window : public QWindow
{
    Q_OBJECT
public:
    explicit Window(QWindow *parent = nullptr);

    void setPresentation(Q3DSPresentation* presentation)
    {
        if (presentation == nullptr)
        {
            qDebug() << "presentation is null";
            return;
        }
        m_presentation = presentation;
    }
protected:
    virtual void keyPressEvent(QKeyEvent *event)
    {
        if (m_presentation == nullptr)
        {
            return;
        }

        QString textPath("Scene.Layer.Group.Text");
        QString textPath2("Scene.Layer.Text");
        qDebug() << event->key() - 48 << "pressed";

        switch(event->key())
        {
        case Qt::Key_1:
            m_presentation->setAttribute(textPath, "eyeball", true);
            break;
        case Qt::Key_2:
            m_presentation->setAttribute(textPath, "eyeball", false);
            break;
        case Qt::Key_3:
            m_presentation->setAttribute(textPath2, "eyeball", true);
            break;
        case Qt::Key_4:
            m_presentation->setAttribute(textPath2, "eyeball", false);
            break;
        case Qt::Key_5:
            m_presentation->setAttribute(textPath, "eyeball", true);
            m_presentation->setAttribute(textPath2, "eyeball", true);
            break;
        case Qt::Key_6:
            m_presentation->setAttribute(textPath, "eyeball", false);
            m_presentation->setAttribute(textPath2, "eyeball", false);
            break;
        case Qt::Key_7:
            m_presentation->setAttribute(textPath2, "eyeball", false);
            m_presentation->setAttribute(textPath, "eyeball", true);
            break;

        }
    }

private:
    Q3DSPresentation* m_presentation;
    bool m_recVisible;
};

#endif // WINDOW_H
